## firmware-free 3

=== debian/changelog ===
firmware-free (3) unstable; urgency=low

  * Update to linux-support 2.6.38-1

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 16 Mar 2011 13:23:44 +0000

firmware-free (3~experimental) experimental; urgency=low

  * Initial release.  Replaces firmware-linux-free built from the
    linux-2.6 source package.

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 12 Mar 2011 05:08:41 +0000
