=== debian/control ===
Source: firmware-free
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.8.1
Build-Depends: debhelper (>= 5), linux-support-2.6.38-1
Vcs-Svn: svn://svn.debian.org/kernel/dists/trunk/firmware-free/
Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-free/

Package: firmware-linux-free
Architecture: all
Suggests: initramfs-tools, linux-image
Replaces: 
Conflicts: 
Description: Binary firmware for various drivers in the Linux kernel
 This package contains firmware which was previously included in the Linux
 kernel and which is compliant with the Debian Free Software Guidelines.
 .
 Most firmware previously included in the Linux kernel is non-free and has
 been moved to the firmware-linux-nonfree package.
 .
 Contents:
  * AV7110 DVB card firmware (av7110/bootcode.bin)
  * 3Com Megahertz 3CCFEM556 CIS fix (cis/3CCFEM556.cis)
  * 3Com Megahertz 3CXEM556 CIS fix (cis/3CXEM556.cis)
  * Advantech COMpad-32/85 CIS fix (cis/COMpad2.cis)
  * Advantech COMpad-32/85B-4 CIS fix (cis/COMpad4.cis)
  * NSC DP83903 PCMCIA Ethernet card CIS fix (cis/DP83903.cis)
  * Allied Telesis LA-PCM CIS fix (cis/LA-PCM.cis)
  * MultiTech PCMCIA 56K DataFax CIS fix (cis/MT5634ZLX.cis)
  * NDC PCMCIA Ethernet card CIS fix (cis/NE2K.cis)
  * EN2218-LAN/MODEM CIS fix (cis/PCMLM28.cis)
  * PreMax PE-200 CIS fix (cis/PE-200.cis)
  * LanPro EP-4000A CIS fix (cis/PE520.cis)
  * RS-COM 2P CIS fix (cis/RS-COM-2P.cis)
  * Sierra Aircard 555 CIS fix (cis/SW_555_SER.cis)
  * Sierra Wireless AC710/AC750 CIS fix (cis/SW_7xx_SER.cis)
  * Sierra Wireless AC850/AC860 CIS fix (cis/SW_8xx_SER.cis)
  * Tamarack PCMCIA Ethernet card CIS fix (cis/tamarack.cis)
  * Atari Falcon DSP56001 firmware (dsp56k/bootstrap.bin)
  * Keyspan USA-19 firmware (keyspan_pda/keyspan_pda.fw)
  * Xircom PGSDB9/Entrega PortGear firmware (keyspan_pda/xircom_pgs.fw)
  * USB-DUX firmware (usbdux_firmware.bin)
  * USB-DUXfast firmware (usbduxfast_firmware.bin)
Homepage: http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git
