## firmware-free 3.2~bpo60+1

=== debian/changelog ===
firmware-free (3.2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze
    - Update to linux-support 3.2.0-0.bpo.4

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 18 Mar 2014 14:38:46 +0000

firmware-free (3.2) unstable; urgency=low

  * Update to linux-support 3.2.0-4
  * Add Atheros AR9170 free firmware for use with carl9170 (Closes: #635840)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 14 Jan 2013 22:02:47 +0000

firmware-free (3.1) unstable; urgency=low

  * Update to linux-support 3.2.0-2
    - Remove build-dependency, as this is only used when preparing the
      source package (Closes: #629730)
  * Add isci parameter blob
  * Add makefiles and scripts for av7110, dsp56k and keyspan_pda firmware
  * debian/control: Set Multi-Arch: foreign to allow for installation
    of foreign linux-image packages
  * Add firmware for ITL USB-DUXsigma
  * Set the upstream homepage URL to the current gitweb page for
    linux-firmware.git
  * Update initramfs on installation, since it may need to include the
    firmware for 3c574_cs, 3c589_cs, isci or pcnet_cs (Closes: #555949)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 17 Jun 2012 04:19:31 +0100
