=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.8.1
-Build-Depends: debhelper (>= 5), linux-support-2.6.38-1
+Build-Depends: debhelper (>= 5)
 Vcs-Svn: svn://svn.debian.org/kernel/dists/trunk/firmware-free/
 Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-free/
 
@@ -22,6 +22,7 @@
  .
  Contents:
   * AV7110 DVB card firmware (av7110/bootcode.bin)
+  * Atheros AR9170 free firmware for use with carl9170 (carl9170-1.fw)
   * 3Com Megahertz 3CCFEM556 CIS fix (cis/3CCFEM556.cis)
   * 3Com Megahertz 3CXEM556 CIS fix (cis/3CXEM556.cis)
   * Advantech COMpad-32/85 CIS fix (cis/COMpad2.cis)
@@ -39,9 +40,12 @@
   * Sierra Wireless AC850/AC860 CIS fix (cis/SW_8xx_SER.cis)
   * Tamarack PCMCIA Ethernet card CIS fix (cis/tamarack.cis)
   * Atari Falcon DSP56001 firmware (dsp56k/bootstrap.bin)
+  * Intel C600 SAS/SATA controller default parameters, version 1.3 (isci/isci_firmware.bin)
   * Keyspan USA-19 firmware (keyspan_pda/keyspan_pda.fw)
   * Xircom PGSDB9/Entrega PortGear firmware (keyspan_pda/xircom_pgs.fw)
   * USB-DUX firmware (usbdux_firmware.bin)
   * USB-DUXfast firmware (usbduxfast_firmware.bin)
-Homepage: http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git
+  * USB-DUXsigma firmware (usbduxsigma_firmware.bin)
+Multi-Arch: ${firmware:Multi-Arch}
+Homepage: http://git.kernel.org/?p=linux/kernel/git/firmware/linux-firmware.git
