## firmware-free 3.3

=== debian/changelog ===
firmware-free (3.3) unstable; urgency=medium

  * To allow auto-removal of linux-image-* packages, do not suggest
    virtual package linux-image (Closes: #724563)
  * Update to linux-support 3.13-1
  * Fix wrapping of file lists in package description (Closes: #677970)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 22 Feb 2014 16:45:33 +0000
