=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: firmware-linux-free
 Architecture: all
-Suggests: initramfs-tools, linux-image
+Suggests: initramfs-tools
 Replaces: 
 Conflicts: 
 Description: Binary firmware for various drivers in the Linux kernel
@@ -40,7 +40,8 @@
   * Sierra Wireless AC850/AC860 CIS fix (cis/SW_8xx_SER.cis)
   * Tamarack PCMCIA Ethernet card CIS fix (cis/tamarack.cis)
   * Atari Falcon DSP56001 firmware (dsp56k/bootstrap.bin)
-  * Intel C600 SAS/SATA controller default parameters, version 1.3 (isci/isci_firmware.bin)
+  * Intel C600 SAS/SATA controller default parameters, version 1.3
+    (isci/isci_firmware.bin)
   * Keyspan USA-19 firmware (keyspan_pda/keyspan_pda.fw)
   * Xircom PGSDB9/Entrega PortGear firmware (keyspan_pda/xircom_pgs.fw)
   * USB-DUX firmware (usbdux_firmware.bin)
