## firmware-free 3.4

=== debian/changelog ===
firmware-free (3.4) unstable; urgency=medium

  * Suppress lintian warning due to unusual location of copyright file
  * debian/control: Allow debhelper to add dependencies through
    ${misc:Depends}
  * debian/control: Update Standards-Version to 3.9.5; no changes needed
  * Adjust for migration to git:
    - Add .gitignore file
    - debian/control: Update Vcs-* fields
  * Change source format to 3.0 (native) so that .git directory is excluded
    by default
  * Update to linux-support 4.1.0-2

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 16 Aug 2015 17:49:00 +0200
