## firmware-free 3.4%2B9.0trisquel3

=== debian/changelog ===
firmware-free (3.4+9.0trisquel3) etiona; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 02 Nov 2019 11:32:40 +0000
