=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
-Standards-Version: 3.8.1
-Build-Depends: debhelper (>= 5)
-Vcs-Svn: svn://svn.debian.org/kernel/dists/trunk/firmware-free/
-Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-free/
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 5), python-configparser
+Vcs-Git: https://anonscm.debian.org/git/kernel/firmware-free.git
+Vcs-Browser: https://anonscm.debian.org/cgit/kernel/firmware-free.git
 
 Package: firmware-linux-free
 Architecture: all
+Depends: ${misc:Depends}
 Suggests: initramfs-tools
+Provides: linux-firmware
 Replaces: 
 Conflicts: 
 Description: Binary firmware for various drivers in the Linux kernel
