=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 5), python-configparser
+Build-Depends: debhelper (>= 5)
 Vcs-Git: https://anonscm.debian.org/git/kernel/firmware-free.git
 Vcs-Browser: https://anonscm.debian.org/cgit/kernel/firmware-free.git
 
@@ -12,7 +12,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: initramfs-tools
-Provides: linux-firmware
 Replaces: 
 Conflicts: 
 Description: Binary firmware for various drivers in the Linux kernel
