## firmware-free 20200122

=== debian/changelog ===
firmware-free (20200122-1) unstable; urgency=medium

  * New upstream version:
    - usbdux: usbduxsigma: Changed address and updated date
    - usbdux: Makefile_dux: as31 compile no longer needed
    - usbdux: usbduxsigma: changed firmware from ADC polling to IRQ processing
    - usbdux: usbduxsigma: contact info updated
    - usbdux: usbduxsigma: added soft interval mode in the firmware
    - usbdux: usbduxsigma: added digital IO read
    - usbdux: usbduxsigma: fixed timing issues between ADC and DAC

  [ Ben Hutchings ]
  * Convert to a non-native package with linux-firmware.git as upstream
  * Add bug presubj message directing users to report driver bugs against
    the appropriate package
  * debian/bin: Use Python 3 (as assumed by linux-support-4.2.0-1 onward)
  * check_upstream.py: Report possibly non-free or undistributable files that
    are not excluded
  * check_upstream.py: Recognise GPLv3 and GPL dual-licenced files
  * check_upstream.py: Reimplement check for unpackaged firmware
  * Add AppStream metadata to all packages containing firmware blobs
  * debian/control: Remove everyone else from Uploaders field, since no-one
    else has actually uploaded this
  * debian/control: Point Vcs URLs to Salsa
  * Move AppStream metainfo to /usr/share/metainfo
  * debian/bin/gencontrol.py: Set encoding to UTF-8 globally
  * debian/bin/gencontrol.py: Sort list of symlink names for each blob
  * debian/*.metainfo.xml: Remove line breaks from summary
  * debian/*.metainfo.xml: Replace hyphens with underscores in id
  * Use debhelper compatibility level 9
  * Use dpkg-trigger directly to trigger update-initramfs
  * debian/rules: Add missing dependencies for *-{arch,indep} targets
  * debian/rules: Do not run gencontrol.py on every changelog change
  * debian/rules: Run gencontrol.py when any template is changed
  * copyright: Replace vague text from WHENCE with machine-readable copyright
    file
  * Update to linux-support 5.4.0-3
  * debian/control: Set Rules-Requires-Root: no
  * debian/control: Update Standards-Version to 4.5.0
  * debian/source/options: Delete redundant compression setting; satisfy
    lintian
  * debian/copyright: Metadata for AppStream is under CC0-1.0
  * debian/copyright: GPLs allow only verbatim copying of themselves
  * debian/upstream/: Add upstream signing key
  * lintian: Override false positive debian-watch-could-verify-download
    (see #950277)

  [ dann frazier ]
  * debian/control: Remove myself from Uploaders field

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 01 Feb 2020 17:10:12 +0100
