=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: kernel
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 5)
-Vcs-Git: https://anonscm.debian.org/git/kernel/firmware-free.git
-Vcs-Browser: https://anonscm.debian.org/cgit/kernel/firmware-free.git
+Uploaders: Ben Hutchings <ben@decadent.org.uk>
+Standards-Version: 4.5.0
+Build-Depends: debhelper (>= 9), python3
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-free
+Vcs-Git: https://salsa.debian.org/kernel-team/firmware-free.git
 
 Package: firmware-linux-free
 Architecture: all
@@ -48,6 +49,6 @@
   * USB-DUX firmware (usbdux_firmware.bin)
   * USB-DUXfast firmware (usbduxfast_firmware.bin)
   * USB-DUXsigma firmware (usbduxsigma_firmware.bin)
-Multi-Arch: ${firmware:Multi-Arch}
 Homepage: http://git.kernel.org/?p=linux/kernel/git/firmware/linux-firmware.git
+Multi-Arch: foreign
