## firmware-free 20200122-1%2B8.0trisquel3

=== debian/changelog ===
firmware-free (20200122-1+8.0trisquel3) flidas; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Mar 2020 17:46:06 +0000
