## firmware-free 20200122-1%2B9.0trisquel4

=== debian/changelog ===
firmware-free (20200122-1+9.0trisquel4) etiona; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Mar 2020 17:47:05 +0000
