## firmware-free 20200122-1%2B10.0trisquel4

=== debian/changelog ===
firmware-free (20200122-1+10.0trisquel4) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 22 Jan 2021 19:41:50 +0000
