=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9), python3
+Build-Depends: debhelper (>= 9), python-configparser
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-free
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-free.git
@@ -13,6 +13,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: initramfs-tools
+Provides: linux-firmware
 Replaces: 
 Conflicts: 
 Description: Binary firmware for various drivers in the Linux kernel
