## firmware-free 20200122-1%2B11.0trisquel4

=== debian/changelog ===
firmware-free (20200122-1+11.0trisquel4) aramo; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jun 2022 19:29:13 +0000
