=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9), python-configparser
+Build-Depends: debhelper (>= 9)
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-free
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-free.git
