## firmware-free 20240610

=== debian/changelog ===
firmware-free (20240610-1~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/rules.def: use linux-support 6.9.7 that's in AHS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Jul 2024 18:27:55 -0700

firmware-free (20240610-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Build av7110, dsp56k, isci, and usbdux from source (see #890601)
  * Remove carl9170 firmware and recommend the package containing it
    (Closes: #1073525)

  [ Ben Hutchings ]
  * Update to linux-support 6.8.12
  * d/copyright: Exclude carl9170 firmware from upstream source
  * New upstream version; no functional changes

 -- Ben Hutchings <benh@debian.org>  Mon, 17 Jun 2024 00:01:17 +0200

firmware-free (20200122-4) unstable; urgency=medium

  * Update to linux-support 6.6.15
  * Add myself to Uploaders

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 18 Feb 2024 20:56:32 +0100

firmware-free (20200122-3) experimental; urgency=medium

  * Update to linux-support 6.5.0-4
  * d/rules.real: Run dh_movetousr if available

 -- Ben Hutchings <benh@debian.org>  Fri, 24 Nov 2023 23:41:14 +0000

firmware-free (20200122-2) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/control: Use my debian.org email in Uploaders field
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
    - d/rules: Add linux-support-name target to show the name of the
      linux-support dependency
    - d/bin/gbp-postexport-hook: Add gbp hook to run gencontrol.py etc.
  * d/b/gencontrol.py: Sync with firmware-nonfree
  * Add debian/README.source based on the text for firmware-nonfree
  * d/t/control.binary.in: Add Breaks, Provides, and Recommends fields
  * d/l/p/config.py: Separate schemas for top-level and package config
  * debian/bin: Add update-modinfo script to maintain cache of module info
  * Add module info from linux 6.4.0-3 on amd64
  * debian/bin/gencontrol.py: Include modaliases in AppStream metadata
  * d/bin/gencontrol.py: Make debian/rules.gen reproducible
  * d/rules, d/rules.real: Sync with firmware-nonfree
  * Update to linux-support 6.4.0-3
  * d/copyright: Fix ordering of paragraph for my upstream copyrights
  * Use debhelper 13
  * linux-free: Delete old text from description that's now formatted wrongly
  * d/t/metainfo.xml.in: Fix summary text

  [ Cyril Brulebois ]
  * Update to the new linux-support API:
     - Replace self.templates[foo] with self.templates.get*(foo),
       merging the self.process_package() substitution in passing.
     - Replace makefile.add() with makefile.add_cmds().
     - Make Template inherit from _ControlFileDict, and use OrderedDict to
       define its fields. Use PackageDescriptionBase directly for the
       Description.
     - Simplify Templates, only adding a get_templates_control() method to
       the base class.
     - Use get_templates_control() and an append() to include the license
       in the templates.
     - Avoid KeyError during substitutions by renaming @?variable@ into
       @variable@, listing each such variable as optional (so that the
       placeholder gets replaced with an empty string if that variable is
       not set in the config).

  [ Diederik de Haas ]
  * d/patches/gitignore: Add DEP-3 header
  * d/README.source: Expand steps to regenerate debian/control

  [ John Scott ]
  * Recommend firmware-ath9k-htc for its separately-packaged free firmware
    (Closes: #900171)

 -- Ben Hutchings <benh@debian.org>  Sun, 20 Aug 2023 21:56:54 +0200
