=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: firmware-free
 Section: kernel
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Ben Hutchings <ben@decadent.org.uk>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Uploaders: Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 13), a56, as31, gcc-arm-linux-gnueabi
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-free
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-free.git
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 
 Package: firmware-linux-free
 Architecture: all
+Provides: 
 Depends: ${misc:Depends}
+Recommends: firmware-carl9170, firmware-ath9k-htc
 Suggests: initramfs-tools
-Provides: linux-firmware
 Replaces: 
+Breaks: 
 Conflicts: 
+Multi-Arch: foreign
 Description: Binary firmware for various drivers in the Linux kernel
- This package contains firmware which was previously included in the Linux
+ This package provides firmware which was previously included in the Linux
  kernel and which is compliant with the Debian Free Software Guidelines.
- .
- Most firmware previously included in the Linux kernel is non-free and has
- been moved to the firmware-linux-nonfree package.
  .
  Contents:
   * AV7110 DVB card firmware (av7110/bootcode.bin)
-  * Atheros AR9170 free firmware for use with carl9170 (carl9170-1.fw)
   * 3Com Megahertz 3CCFEM556 CIS fix (cis/3CCFEM556.cis)
   * 3Com Megahertz 3CXEM556 CIS fix (cis/3CXEM556.cis)
   * Advantech COMpad-32/85 CIS fix (cis/COMpad2.cis)
@@ -51,5 +51,4 @@
   * USB-DUXfast firmware (usbduxfast_firmware.bin)
   * USB-DUXsigma firmware (usbduxsigma_firmware.bin)
 Homepage: http://git.kernel.org/?p=linux/kernel/git/firmware/linux-firmware.git
-Multi-Arch: foreign
