=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,23 @@
 GENCONTROL = debian/bin/gencontrol.py
 
 # Nothing to build
-build-indep build-arch build: debian/control
+build-arch: debian/control
+
+build-indep: debian/control
+	$(MAKE) -C av7110
+	$(MAKE) -C dsp56k
+	$(MAKE) -C isci
+	$(MAKE) -C usbdux -f Makefile_dux
+	cp usbdux/usbdux*_firmware.bin .
+
+build: build-arch build-indep
 
 clean: debian/control
 	dh_testdir
+	$(MAKE) -C av7110 clean
+	$(MAKE) -C dsp56k clean
+	$(MAKE) -C isci clean
+	$(MAKE) -C usbdux -f Makefile_dux clean
 	rm -rf debian/build debian/lib/python/__pycache__
 	dh_clean
 
@@ -27,7 +40,7 @@
 binary:	binary-indep binary-arch
 
 CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
-CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) $(wildcard debian/config/*/copyright) $(wildcard debian/config/*/LICENSE*)
+CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json
 
 # debian/bin/gencontrol.py uses debian/changelog as input, but the
 # output only depends on the source name and version.  To avoid
@@ -75,11 +88,14 @@
 maintainerclean:
 	-rm debian/control debian/control.md5sum debian/rules.gen
 	rm -f debian/*.bug-presubj
-	-rm debian/*.copyright
 	-rm debian/*.hook.*
 	rm -f debian/*.metainfo.xml
 	-rm debian/*.preinst
 	-rm debian/*.postinst
 	-rm debian/*.templates
 
-.PHONY: clean build-indep build-arch build binary-indep binary-arch binary
+linux-support-name:
+	@echo linux-support-$(KERNELVERSION)
+
+.PHONY: clean build-indep build-arch build binary-indep binary-arch binary \
+	linux-support-name
