## firmware-free 20241210

=== debian/changelog ===
firmware-free (20241210-3) unstable; urgency=medium

  * Build CIS files and keyspan_pda firmware from source (Closes: #890601):
    - d/control: Build-Depend on cis-tools, linux-misc-tools
    - d/rules: Clean and build in cis and keyspan_pda directories
  * d/b/gbp-postexport-hook: Clean up temp files, to work with current Salsa CI
  * d/copyright: Add the verbatim-FSF license text
  * d/copyright: Delete unreferenced license texts
  * d/rules: Run dedup-firmware.sh after copy-firmware.sh
  * d/rules: Clean debian/lib/python/debian_linux/__pycache__
  * d/b/check_upstream.py: Recognise "MIT" licence in WHENCE
  * Unconditionally install firmware under /usr/lib/firmware
  * Refactor firmware installation to use dh_install
  * Add metainfo.xml files to dh_install file lists
  * Replace recursive makefiles with dh command
  * d/rules: Fix maintainerclean rule and add clean-generated rule
  * d/s/lintian-overrides: Override file-without-copyright-information warning
    for license texts
  * d/rules: Only deduplicate files that are packaged
  * d/rules: Check for broken symlinks among installed firmware
  * d/rules: Clean debian/build/install in the debian/control-real rule
  * d/bin/gencontrol.py: handle Depends in addition to other fields
  * d/watch: Convert to version 5 format

 -- Ben Hutchings <benh@debian.org>  Wed, 18 Feb 2026 16:59:06 +0100

firmware-free (20241210-2) unstable; urgency=medium

  * Copy debian_linux Python package from src:linux
  * Use local copy of debian_linux Python package instead of linux-support
  * d/b/release-update: Copy script from src:firmware-nonfree
  * linux-free: Use specific file patterns to make release-update work
  * d/b/gencontrol.py: Change template substitution to allow for Jinja2
    templates
  * d/templates: Convert metainfo.xml template to Jinja2 format
  * Fix AppStream metadata issues:
    - Remove 'package' from component IDs so they are <= 40 chars long
    - Move short description to <summary> and long description to <description>
    - Add homepage URL
    - Change filenames to match component IDs
  * Update upstream URLs to point to repository on gitlab.com

 -- Ben Hutchings <benh@debian.org>  Fri, 25 Apr 2025 03:33:40 +0200

firmware-free (20241210-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/copyright: Add paragraph for contrib/templates/debian.*
  * d/copyright: Include copy-firmware.sh under GPL-2
  * New upstream version; no functional changes
  * Revert "copy-firmware.sh: call ./check_whence.py before parsing the file"
  * Add WHENCE file
  * d/b/gbp-postexport-hook: Apply patches before invoking debian/rules
  * debian/rules, debian/bin/gencontrol.py: Run copy-firmware.sh to create
    symlinks
  * d/b/gencontrol.py: Remove support for encoding file version in filename
  * d/b/gencontrol.py: Remove check for .svn directories
  * d/b/gencontrol.py: Use path objects where possible
  * d/b/{gencontrol,check_upstream}.py: Support wildcards in file lists
  * d/config: Use wildcard in file list
  * Build-Depend on rdfind, needed by new version of copy-firmware.sh
  * d/b/gencontrol.py: Delete unused files_real template variable
  * Remove file lists from package descriptions
  * d/b/check_upstream.py: Handle missing Licen[cs]e field
  * d/b/check_upstream.py: Treat .txt files as being source code
  * d/b/check_upstream.py: Match another wording of permission to redistribute
  * d/b/update-modinfo: Support reading from multiple kernel directories
  * d/b/gencontrol.py: Stop using unnecessary PackageDescription subclass
  * Use linux-support bundle API to replace much custom logic
  * d/watch: Tighten tag regexp to work with upstream as a remote
  * d/salsa-ci.yml: Use uscan option to speed up Git export with Files-Excluded
  * Update to linux-support-6.12.5

  [ Diederik de Haas ]
  * d/bin/update-modinfo: Add compressed modules support
  * d/README.source: Update description wrt upstream

  [ Dmitry Baryshkov ]
  * d/bin/check_upstream: allow Apache-2.0 licence

 -- Ben Hutchings <benh@debian.org>  Thu, 19 Dec 2024 22:11:31 +0100
