=== debian/rules ===
--- 
+++ 
@@ -6,38 +6,49 @@
 VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -rne 's,.*\+b([0-9]+)$$,\1,p')
 VERSION_SOURCE := $(patsubst %+b$(VERSION_BINNMU),%,$(VERSION))
 
-include debian/rules.defs
-
 GENCONTROL = debian/bin/gencontrol.py
 
-# Nothing to build
-build-arch: debian/control
+binary binary-arch binary-indep build build-arch build-indep clean: debian/control
+	dh $@
 
-build-indep: debian/control
+override_dh_auto_build:
 	$(MAKE) -C av7110
+	$(MAKE) -C cis
 	$(MAKE) -C dsp56k
 	$(MAKE) -C isci
+	$(MAKE) -C keyspan_pda
 	$(MAKE) -C usbdux -f Makefile_dux
 	cp usbdux/usbdux*_firmware.bin .
 
-build: build-arch build-indep
+override_dh_auto_test:
+	:
 
-clean: debian/control
-	dh_testdir
+CLEAN_PATTERNS := debian/build debian/lib/python/__pycache__ debian/lib/python/debian_linux/__pycache__ $$(find debian -maxdepth 1 -type d -name 'firmware-*') debian/*.substvars
+
+override_dh_auto_clean:
 	$(MAKE) -C av7110 clean
+	$(MAKE) -C cis clean
 	$(MAKE) -C dsp56k clean
 	$(MAKE) -C isci clean
+	$(MAKE) -C keyspan_pda clean
 	$(MAKE) -C usbdux -f Makefile_dux clean
-	rm -rf debian/build debian/lib/python/__pycache__
-	dh_clean
+	rm -rf $(CLEAN_PATTERNS)
 
-binary-indep: build-indep
-	dh_testdir
-	$(MAKE) -f debian/rules.gen binary-indep
+override_dh_auto_install:
+	./copy-firmware.sh -v debian/build/install
 
-binary-arch: build-arch
+override_dh_installdocs:
+	dh_installdocs -XTODO
 
-binary:	binary-indep binary-arch
+execute_after_dh_install:
+# Deduplicate firmware files within each binary package
+	cd debian/build && \
+	for dir in ../firmware-*/usr/lib/firmware; do \
+		../../dedup-firmware.sh "$$dir"; \
+	done
+# Check for any broken symlinks.
+	! find debian/firmware-*/usr/lib/firmware -xtype l \
+	| grep .
 
 CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
 CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json
@@ -50,7 +61,7 @@
 	mkdir -p $(@D)
 	printf >$@ 'Source: %s\nVersion: %s\n' $(SOURCE) $(VERSION_SOURCE)
 
-debian/control debian/rules.gen: $(GENCONTROL) $(CONTROL_FILES)
+debian/control: $(GENCONTROL) $(CONTROL_FILES)
 ifeq ($(wildcard debian/control.md5sum),)
 	$(MAKE) -f debian/rules debian/control-real
 else
@@ -59,7 +70,11 @@
 endif
 
 debian/control-real: $(GENCONTROL) $(CONTROL_FILES)
-	$(GENCONTROL) /usr/src/linux-support-$(KERNELVERSION)
+# We currently need to run copy-firmware.sh to get a complete list of
+# files to be installed.
+	rm -rf debian/build/install
+	./copy-firmware.sh debian/build/install
+	$(GENCONTROL)
 	md5sum $^ > debian/control.md5sum
 	@echo
 	@echo This target is made to fail intentionally, to make sure
@@ -85,17 +100,24 @@
 	tar -C ../orig -xaf $(TAR_ORIG)
 endif
 
-maintainerclean:
-	-rm debian/control debian/control.md5sum debian/rules.gen
-	rm -f debian/*.bug-presubj
-	-rm debian/*.hook.*
-	rm -f debian/*.metainfo.xml
-	-rm debian/*.preinst
-	-rm debian/*.postinst
-	-rm debian/*.templates
+clean-generated:
+	rm -rf $(CLEAN_PATTERNS)
+# We cannot use dh_clean here because it requires debian/control to exist
+	rm -rf debian/.debhelper debian/*.debhelper* debian/debhelper-build-stamp debian/files debian/generated.*
+	rm -f \
+		debian/control \
+		debian/control.md5sum \
+		debian/*.bug-presubj \
+		debian/*.install \
+		debian/*.metainfo.xml \
+		debian/*.postinst \
+		debian/*.postrm \
+		debian/*.preinst \
+		debian/*.prerm \
+		debian/*.templates
 
-linux-support-name:
-	@echo linux-support-$(KERNELVERSION)
+maintainerclean: clean-generated
+	rm -rf $(filter-out debian .git, $(wildcard * .[^.]*))
 
 .PHONY: clean build-indep build-arch build binary-indep binary-arch binary \
-	linux-support-name
+	clean-generated maintainerclean
