=== debian/watch ===
Version: 5

Source: https://gitlab.com/kernel-firmware/linux-firmware.git
Matching-Pattern: refs/tags/([0-9]*)
Mode: git
Pgp-Mode: gittag
