## firmware-free 20241210-2trisquel5

=== debian/changelog ===
firmware-free (20241210-2trisquel5) ecne; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 05 May 2025 06:44:05 +0000
