=== debian/control ===
Source: firmware-free
Section: kernel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), a56, as31, gcc-arm-linux-gnueabi, rdfind
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-free
Vcs-Git: https://salsa.debian.org/kernel-team/firmware-free.git

Package: firmware-linux-free
Architecture: all
Depends: ${misc:Depends}
Recommends: firmware-carl9170, firmware-ath9k-htc
Suggests: initramfs-tools
Provides: linux-firmware
Multi-Arch: foreign
Description: Binary firmware for various drivers in the Linux kernel
 This package provides firmware which was previously included in the Linux
 kernel and which is compliant with the Debian Free Software Guidelines.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware
